Bug 125493 - problem mounting and accessing smbfs share
problem mounting and accessing smbfs share
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-07 23:45 EDT by Frank Pope
Modified: 2015-01-04 17:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 00:40:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
content of messages after issuing smbmount command (76.76 KB, text/plain)
2004-06-07 23:48 EDT, Frank Pope
no flags Details

  None (edit)
Description Frank Pope 2004-06-07 23:45:48 EDT
Description of problem:
immediately after mounting a W2K file system with smbmount I do
ls /mnt/diskC
to see the files and the command hangs and cannot be killed

Version-Release number of selected component (if applicable):


How reproducible:
every time

Steps to Reproduce:
1. smbmount //<share name> /mnt/diskC -o username=<username>
   password:<password>
2. ls /mnt/diskC
3.
  
Actual results:
The ls command hangs.



Expected results:
ls command should complete showing files on mounted share

Additional info:
the smbmount appears to complete normally but ls and umount fail/hang
and their processes cannot be killed - not even during shutdown
Comment 1 Frank Pope 2004-06-07 23:48:46 EDT
Created attachment 100951 [details]
content of messages after issuing smbmount command

/var/log/messages contains:
Jun  7 13:30:25 orien kernel: smb_lookup: find //.Trash-root failed, error=-5
Jun  7 13:30:25 orien kernel: Unable to handle kernel NULL pointer dereference
at virtual address 00000000
Jun  7 13:30:25 orien kernel:  printing eip:
Jun  7 13:30:25 orien kernel: 00000000
Jun  7 13:30:25 orien kernel: *pde = 00000000
Jun  7 13:30:25 orien kernel: Oops: 0000 [#1]
Jun  7 13:30:25 orien kernel: CPU:    0
Jun  7 13:30:25 orien kernel: EIP:    0060:[<00000000>]    Not tainted
Jun  7 13:30:25 orien kernel: EFLAGS: 00210246	 (2.6.5-1.358custom)
Jun  7 13:30:25 orien kernel: EIP is at 0x0
Jun  7 13:30:25 orien kernel: eax: 11048180   ebx: 145b0990   ecx: 0214edcd  
edx: 0bf21fa0
Jun  7 13:30:25 orien kernel: esi: 11079024   edi: 031e0f20   ebp: 11048180  
esp: 0bf21f14
Jun  7 13:30:25 orien kernel: ds: 007b	 es: 007b   ss: 0068
Jun  7 13:30:25 orien mount.smbfs[2824]: [2004/06/07 13:30:25, 0]
client/smbmount.c:send_fs_socket(406)
Jun  7 13:30:25 orien kernel: Process nautilus (pid: 2797, threadinfo=0bf21000
task=0d3e7630)
Jun  7 13:30:25 orien mount.smbfs[2824]:   mount.smbfs: entering daemon mode
for service \\cassiopeia\c$, pid=2824
Jun  7 13:30:25 orien kernel: Stack: 229d1976 0bf21f38 00000000 11079000
1e489454 1103fe18 214e9680 0214edcd
Jun  7 13:30:25 orien kernel:	     0bf21fa0 00000000 00040d7d 11048180
00000000 00000000 11079000 00000002
Jun  7 13:30:25 orien kernel:	     00000000 00000000 00000001 00000004
00200246 229d92c0 1103fe80 11048180
Jun  7 13:30:25 orien kernel: Call Trace:
Jun  7 13:30:25 orien kernel:  [<229d1976>] smb_readdir+0x346/0x3f1 [smbfs]
Jun  7 13:30:25 orien kernel:  [<0214edcd>] filldir64+0x0/0x12e
Jun  7 13:30:25 orien kernel:  [<0214eaba>] vfs_readdir+0x7a/0x9b
Jun  7 13:30:25 orien kernel:  [<0214edcd>] filldir64+0x0/0x12e
Jun  7 13:30:25 orien kernel:  [<0214ef60>] sys_getdents64+0x65/0xaa
Jun  7 13:30:25 orien kernel:
Jun  7 13:30:25 orien kernel: Code:  Bad EIP value.
Comment 2 Mauri Sahlberg 2004-06-10 09:02:57 EDT
Uneducated guess, this is duplicate with 124420.
On that track there is a solution that refers to installing binary
packages for latest samba which are build for FC 1. I don't know
enough of samba to recommend installing something that is build for
2.4 kernel distro to 2.6 kernel distro but I'm tempted to install from
source. 
Comment 3 Steve Petruzzo 2004-11-15 17:53:23 EST
I was wondering if you ran the Workstation, Server or Custom install? 
When I selected a Workstation install for both of my machines (Dell 
Dimension 4100), Samba seems to work OK, even the ls and other 
commands work fine against the filesystem.  I later selected a Custom 
install on the same machines and I'm getting the same problem that 
you reported where the smbmount (or mount -t smbfs) completes 
normally and a df shows a normal filesystem but when I issue an ls, 
it hangs.  Same errors, stack dump, call traceback and Bad EIP value 
messages.  Won't clear up at shutdown either.  I'm running Fedora 
Core 2.5.6-1.358. 
Comment 4 Frank Pope 2004-11-15 19:38:37 EST
As I recall it was a custom install.
Comment 5 John 2005-01-15 15:12:00 EST
mount -t cifs may work better.
Comment 6 Dave Jones 2005-04-16 00:40:31 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.